stages:
  - build
  - deploy

variables:
  GLOBAL_VS: "2.0"

criar_imagem:
  stage:  build
  tags:
    - prod
  script:
  - docker build -t marcelociaccounifeob/app-unifeob-devops:$GLOBAL_VS app/.
  - docker push marcelociaccounifeob/app-unifeob-devops:$GLOBAL_VS

executar_imagem:
  stage:  deploy
  needs: 
    - criar_imagem
  tags:
    - prod
  before_script:
  - docker rm $(docker ps -a -q) --force
  script:
  - docker run -dti --name web-server -p 80:80 marcelociaccounifeob/app-unifeob-devops:$GLOBAL_VS
  after_script:
  - docker system prune --force